/* modified from the FORMATS_NMHSS */
		



*%MACRO FORMATS_NSUMHSS();

PROC FORMAT;

VALUE YesNo          /* used for both SU and MH formats */
	0           = "0 - No"                                                                                            
	1           = "1 - Yes"                                                                                           
  .D  = "D - Don't Know"
  .E  = "E - Excluded from Report"
  .I  = "I - Ineligible"
  .   = "M - Missing Data"
  .L  = "L - Logical Skip"
  .M  = "M - Missing Data"
  .N  = "N - Not Applicable"
  .R  = "R - Refused"
  .V  = "V - Not Asked in this version" 
  .X  = "X - Multiple Response"
  .Z  = "Z - Multiple Response"
;

VALUE FACNUM   
  .D  = "D - Don't Know"
  .E  = "E - Excluded from Report"
  .I  = "I - Ineligible"
  .   = "M - Missing Data"
  .L  = "L - Logical Skip"
  .M  = "M - Missing Data"
  .N  = "N - Not Applicable"
  .R  = "R - Refused"
  .V  = "V - Not Asked in this version" 
  .X  = "X - Multiple Response"
  .Z  = "Z - Multiple Response"
;

VALUE FOCUS          
1           = "1 - Substance use treatment services"                                                            
2           = "2 - Mental health services"                                                                        
3           = "3 - Mix mental health & substance use treatment services"                                                         
4           = "4 - No mental health or substance use treatment services"                                                                           
  .D  = "D - Don't Know"
  .E  = "E - Excluded from Report"
  .I  = "I - Ineligible"
  .   = "M - Missing Data"
  .L  = "L - Logical Skip"
  .M  = "M - Missing Data"
  .N  = "N - Not Applicable"
  .R  = "R - Refused"
  .V  = "V - Not Asked in this version" 
  .X  = "X - Multiple Response"
  .Z  = "Z - Multiple Response"
;

/* Similar to 2019- 2020 */

/*value modef
   1=' 1=Phone'
   2='2=Mail'
   9='9=Web'
  .D  = "D - Don't Know"
  .E  = "E - Excluded from Report"
  .I  = "I - Ineligible"
  .   = "M - Missing Data"
  .L  = "L - Logical Skip"
  .M  = "M - Missing Data"
  .N  = "N - Not Applicable"
  .R  = "R - Refused"
  .V  = "V - Not Asked in this version" 
  .X  = "X - Multiple Response"
  .Z  = "Z - Multiple Response"
   ;*/

Value REG2f
	1="Northeast"
	2="South"
	3="Midwest"
	4="West"
  .D  = "D - Don't Know"
  .E  = "E - Excluded from Report"
  .I  = "I - Ineligible"
  .   = "M - Missing Data"
  .L  = "L - Logical Skip"
  .M  = "M - Missing Data"
  .N  = "N - Not Applicable"
  .R  = "R - Refused"
  .V  = "V - Not Asked in this version" 
  .X  = "X - Multiple Response"
  .Z  = "Z - Multiple Response"
   ;



Value URBANCODEF (default=100)
	1 = "Large central metro: pop >= 1 million"	
	2 = "Large fringe metro: pop >= 1 million"	
	3 = "Medium metro: pop 250000 to 999999"
    4 = "Small metro: pop < 250000"
    5 = "nonmetropolitan: micropolitan"
    6 = "Noncore: neither metro nor micro"
  .D  = "D - Don't Know"
  .E  = "E - Excluded from Report"
  .I  = "I - Ineligible"
  .   = "M - Missing Data"
  .L  = "L - Logical Skip"
  .M  = "M - Missing Data"
  .N  = "N - Not Applicable"
  .R  = "R - Refused"
  .V  = "V - Not Asked in this version" 
  .X  = "X - Multiple Response"
  .Z  = "Z - Multiple Response"
   ;


VALUE $StateAbbr
'AK'='AK'
'AL'='AL'
'AR'='AR'
'AS'='AS'
'AZ'='AZ'
'CA'='CA'
'CO'='CO'
'CT'='CT'
'DC'='DC'
'DE'='DE'
'FL'='FL'
'FM'='Fed States of Micronesia'
'GA'='GA'
'GU'='GU'
'HI'='HI'
'IA'='IA'
'ID'='ID'
'IL'='IL'
'IN'='IN'
'KS'='KS'
'KY'='KY'
'LA'='LA'
'MA'='MA'
'MD'='MD'
'ME'='ME'
'MI'='MI'
'MN'='MN'
'MO'='MO'
'MS'='MS'
'MT'='MT'
'NC'='NC'
'ND'='ND'
'NE'='NE'
'NH'='NH'
'NJ'='NJ'
'NM'='NM'
'NV'='NV'
'NY'='NY'
'OH'='OH'
'OK'='OK'
'OR'='OR'
'PA'='PA'
'PR'='PR'
'PW'='Rep of Palau'
'RI'='RI'
'SC'='SC'
'SD'='SD'
'TN'='TN'
'TX'='TX'
'UT'='UT'
'VA'='VA'
'VI'='VI'
'VT'='Vermont'
'WA'='WA'
'WI'='WI'
'WV'='WV'
'WY'='WY'
  .D  = "D - Don't Know"
  .E  = "E - Excluded from Report"
  .I  = "I - Ineligible"
  .   = "M - Missing Data"
  .L  = "L - Logical Skip"
  .M  = "M - Missing Data"
  .N  = "N - Not Applicable"
  .R  = "R - Refused"
  .V  = "V - Not Asked in this version" 
  .X  = "X - Multiple Response"
  .Z  = "Z - Multiple Response"
;


VALUE TSU
   1 = '1 = Treatment/detoxification'
   2 = '2 = Non-treatment halfway house'
   3 = '3 = Did not take survey'
   4 = '4 = Jail'
   5 = '5 = Solo practice'
  .D  = "D - Don't Know"
  .E  = "E - Excluded from Report"
  .I  = "I - Ineligible"
  .   = "M - Missing Data"
  .L  = "L - Logical Skip"
  .M  = "M - Missing Data"
  .N  = "N - Not Applicable"
  .R  = "R - Refused"
  .V  = "V - Not Asked in this version" 
  .X  = "X - Multiple Response"
  .Z  = "Z - Multiple Response"
;


/*

VALUE INTKE
1='Computer/Electronic only'
2='Paper only'
3='Both electronic and paper'
%mvallab
;
*/

VALUE $Locationstate
'AK'='Alaska'
'AL'='Alabama'
'AR'='Arkansas'
/*'AS'='American Samoa'*/
'AZ'='Arizona'
'CA'='California'
'CO'='Colorado'
'CT'='Connecticut'
'DC'='District of Columbia'
'DE'='Delaware'
'FL'='Florida'
/*'FM'='Fed States of Micronesia'*/
'GA'='Georgia'
/*'GU'='Guam'*/
'HI'='Hawaii'
'IA'='Iowa'
'ID'='Idaho'
'IL'='Illinois'
'IN'='Indiana'
'KS'='Kansas'
'KY'='Kentucky'
'LA'='Louisiana'
'MA'='Massachusetts'
'MD'='Maryland'
'ME'='Maine'
'MI'='Michigan'
'MN'='Minnesota'
'MO'='Missouri'
'MS'='Mississippi'
'MT'='Montana'
'NC'='North Carolina'
'ND'='North Dakota'
'NE'='Nebraska'
'NH'='New Hampshire'
'NJ'='New Jersey'
'NM'='New Mexico'
'NV'='Nevada'
'NY'='New York'
'OH'='Ohio'
'OK'='Oklahoma'
'OR'='Oregon'
'PA'='Pennsylvania'
'PR'='Puerto Rico'
/*'PW'='Rep of Palau'*/
'RI'='Rhode Island'
'SC'='South Carolina'
'SD'='South Dakota'
'TN'='Tennessee'
'TX'='Texas'
'UT'='Utah'
'VA'='Virginia'
/*'VI'='Virgin Islands'*/
'VT'='Vermont'
'WA'='Washington'
'WI'='Wisconsin'
'WV'='West Virginia'
'WY'='Wyoming'
'ZZ'='Other jurisdictions';



VALUE FACTY       /* B3  FACILITYTYPE  */  
1           = "1 - Psychiatric hospital"                                                                          
2           = "2 - Separate inpatient psychiatric unit of a general hospital"     
3			= "3 - State hospital"  /* added 2021 - adjusted others accordingly -DN */
4           = "4 - Residential treatment center for children"                                                     
5           = "5 - Residential treatment center for adults"                                                       
6           = "6 - Other type of residential treatment facility"                                                  
7           = "7 - VAMC or other VA health care facility"                                                         
8           = "8 - Community Mental Health Center (CMHC)"                                                         
9           = "9 - Certified Community Behavioral Health Clinic (CCBHC)"                                          
10          = "10 - Partial hospitalization/day treatment facility"   
11          = "11 - Outpatient mental health facility"                                                            
12          = "12 - Multi-setting mental health facility"                                                         
13          = "13 - Other"                                                                                         
  .D  = "D - Don't Know"
  .E  = "E - Excluded from Report"
  .I  = "I - Ineligible"
  .   = "M - Missing Data"
  .L  = "L - Logical Skip"
  .M  = "M - Missing Data"
  .N  = "N - Not Applicable"
  .R  = "R - Refused"
  .V  = "V - Not Asked in this version" 
  .X  = "X - Multiple Response"
  .Z  = "Z - Multiple Response"
;

VALUE EAR          
1           = "1 - Yes"                                                            
2           = "2 - No"                                                                        
3           = "3 - Don't Know "                                                         
  .D  = "D - Don't Know"
  .E  = "E - Excluded from Report"
  .I  = "I - Ineligible"
  .   = "M - Missing Data"
  .L  = "L - Logical Skip"
  .M  = "M - Missing Data"
  .N  = "N - Not Applicable"
  .R  = "R - Refused"
  .V  = "V - Not Asked in this version" 
  .X  = "X - Multiple Response"
  .Z  = "Z - Multiple Response"
;


VALUE FEDOWN         /* C2a */
1           = "1 - Department of Veterans Affairs"                                                                
2           = "2 - Department of Defense"                                                                         
3           = "3 - Indian Health Service"                                                                         
4           = "4 - Other"                                                                                         
  .D  = "D - Don't Know"
  .E  = "E - Excluded from Report"
  .I  = "I - Ineligible"
  .   = "M - Missing Data"
  .L  = "L - Logical Skip"
  .M  = "M - Missing Data"
  .N  = "N - Not Applicable"
  .R  = "R - Refused"
  .V  = "V - Not Asked in this version" 
  .X  = "X - Multiple Response"
  .Z  = "Z - Multiple Response"
;

VALUE LANGPROV     /* used for both LANGPROV_SU  & LANGPROV_MH  */
1           = "1 - Staff counselor who speaks a language other than English"                                      
2           = "2 - On-call interpreter brought in when needed"                                                    
3           = "3 - Both staff counselor and on-call interpreter"                                                  
  .D  = "D - Don't Know"
  .E  = "E - Excluded from Report"
  .I  = "I - Ineligible"
  .   = "M - Missing Data"
  .L  = "L - Logical Skip"
  .M  = "M - Missing Data"
  .N  = "N - Not Applicable"
  .R  = "R - Refused"
  .V  = "V - Not Asked in this version" 
  .X  = "X - Multiple Response"
  .Z  = "Z - Multiple Response"
;

VALUE LOCS          /* Hospital Type.  not used in the original MH format*/   
1           = "1 - General"                                                                                       
2           = "2 - Psychiatric"                                                                                   
3           = "3 - Other specialty"                                                                               
  .D  = "D - Don't Know"
  .E  = "E - Excluded from Report"
  .I  = "I - Ineligible"
  .   = "M - Missing Data"
  .L  = "L - Logical Skip"
  .M  = "M - Missing Data"
  .N  = "N - Not Applicable"
  .R  = "R - Refused"
  .V  = "V - Not Asked in this version" 
  .X  = "X - Multiple Response"
  .Z  = "Z - Multiple Response"
;

VALUE OTHFAC         /* Module D. */
1           = "1 - Only this facility"                                                                            
2           = "2 - This facility plus others"                                                                     
3           = "3 - Another facility will report this facility's client counts"                                    
  .D  = "D - Don't Know"
  .E  = "E - Excluded from Report"
  .I  = "I - Ineligible"
  .   = "M - Missing Data"
  .L  = "L - Logical Skip"
  .M  = "M - Missing Data"
  .N  = "N - Not Applicable"
  .R  = "R - Refused"
  .V  = "V - Not Asked in this version" 
  .X  = "X - Multiple Response"
  .Z  = "Z - Multiple Response"
;

VALUE OWNERSHP      /* ALL Tx Facilities  */
1           = "1 - A private for-profit organization"                                                             
2           = "2 - A private non-profit organization"                                                             
3           = "3 - State government"                                                                              
4           = "4 - Local, county, or community government"                                                             
5           = "5 - Tribal government"                                                                             
6           = "6 - Federal government"                                                                         
  .D  = "D - Don't Know"
  .E  = "E - Excluded from Report"
  .I  = "I - Ineligible"
  .   = "M - Missing Data"
  .L  = "L - Logical Skip"
  .M  = "M - Missing Data"
  .N  = "N - Not Applicable"
  .R  = "R - Refused"
  .V  = "V - Not Asked in this version" 
  .X  = "X - Multiple Response"
  .Z  = "Z - Multiple Response"
;

VALUE MINAGE      /* ALL Tx Facilities  */
0           = "0 - Minimum Age"                                                             
1           = "1 - No Minimum Age"                                                             
  .D  = "D - Don't Know"
  .E  = "E - Excluded from Report"
  .I  = "I - Ineligible"
  .   = "M - Missing Data"
  .L  = "L - Logical Skip"
  .M  = "M - Missing Data"
  .N  = "N - Not Applicable"
  .R  = "R - Refused"
  .V  = "V - Not Asked in this version" 
  .X  = "X - Multiple Response"
  .Z  = "Z - Multiple Response"
;

VALUE MAXAGE      /* ALL Tx Facilities  */
0           = "0 - Maximum Age"                                                             
1           = "1 - No Maximum Age"                                                             
  .D  = "D - Don't Know"
  .E  = "E - Excluded from Report"
  .I  = "I - Ineligible"
  .   = "M - Missing Data"
  .L  = "L - Logical Skip"
  .M  = "M - Missing Data"
  .N  = "N - Not Applicable"
  .R  = "R - Refused"
  .V  = "V - Not Asked in this version" 
  .X  = "X - Multiple Response"
  .Z  = "Z - Multiple Response"
;

/*   N/A---DN:    VALUE OWNERSHP_MH         */

/** Need to look for this - PUBLICAG  on Webraw  -- not on paper survey--DN  */

VALUE PUBLICAG       /* used for the MH format only */
1           = "1 - State Mental Health Authority (SMHA)"                                                          
2           = "2 - Other state government agency or department (e.g., Department of Health)"                      
3           = "3 - Regional/district authority or county, local, or municipal government"                         
4           = "4 - Tribal government"                                                                             
5           = "5 - Indian Health Service"                                                                         
6           = "6 - Department of Veterans Affairs"                                                                
7           = "7 - Other"                                                                                         
  .D  = "D - Don't Know"
  .E  = "E - Excluded from Report"
  .I  = "I - Ineligible"
  .   = "M - Missing Data"
  .L  = "L - Logical Skip"
  .M  = "M - Missing Data"
  .N  = "N - Not Applicable"
  .R  = "R - Refused"
  .V  = "V - Not Asked in this version" 
  .X  = "X - Multiple Response"
  .Z  = "Z - Multiple Response"
;


VALUE SMOKINGP		/* C4 & C5 */      
1           = "1 - Not permitted to smoke anywhere outside or within any building"                                
2           = "2 - Permitted in designated outdoor area(s)"                                                       
3           = "3 - Permitted anywhere outside"                                                                    
4           = "4 - Permitted in designated indoor area(s)"                                                        
5           = "5 - Permitted anywhere inside"                                                                     
6           = "6 - Permitted anywhere without restriction"                                                        
  .D  = "D - Don't Know"
  .E  = "E - Excluded from Report"
  .I  = "I - Ineligible"
  .   = "M - Missing Data"
  .L  = "L - Logical Skip"
  .M  = "M - Missing Data"
  .N  = "N - Not Applicable"
  .R  = "R - Refused"
  .V  = "V - Not Asked in this version" 
  .X  = "X - Multiple Response"
  .Z  = "Z - Multiple Response"
;


VALUE VAPINGP		/* C4 & C5 */      
1           = "1 - Not permitted to vapee anywhere outside or within any building"                                
2           = "2 - Permitted in designated outdoor area(s)"                                                       
3           = "3 - Permitted anywhere outside"                                                                    
4           = "4 - Permitted in designated indoor area(s)"                                                        
5           = "5 - Permitted anywhere inside"                                                                     
6           = "6 - Permitted anywhere without restriction"                                                        
  .D  = "D - Don't Know"
  .E  = "E - Excluded from Report"
  .I  = "I - Ineligible"
  .   = "M - Missing Data"
  .L  = "L - Logical Skip"
  .M  = "M - Missing Data"
  .N  = "N - Not Applicable"
  .R  = "R - Refused"
  .V  = "V - Not Asked in this version" 
  .X  = "X - Multiple Response"
  .Z  = "Z - Multiple Response"
;

VALUE $FQHC		/* C4 & C5 */      
'1'           = "1 - Yes"  
'0'           = "0 - No"                                                        
/*'2'           = "0 - No"*/                                                       
'D'           = "D - Don't Know"   
'LS'          = "L - Logical Skip" 
'M'           = "M - Missing Data"   
  /*.D  = "D - Don't Know"
  .E  = "E - Excluded from Report"
  .I  = "I - Ineligible"
  .   = "M - Missing Data"
  .L  = "L - Logical Skip"
  .M  = "M - Missing Data"
  .N  = "N - Not Applicable"
  .R  = "R - Refused"
  .V  = "V - Not Asked in this version" 
  .X  = "X - Multiple Response"
  .Z  = "Z - Multiple Response"*/
;


/*
VALUE DISPO
%mvallab
;
*/

/* FOR 2021 */    /* applies to MH and SU status  */
VALUE $FINALSTATUS
   '001' ='001-Completetelephone'
   '002' ='002-Completemail'
   '004' ='004-Closedno longer exists'
   '006' ='006-No participation' 
   '007' ='007-Refused'
   '008' ='008-Ineligible/other'
   '009' ='009-Completeweb'
   '011' ='011-Client counts only' 
   '012' ='012-Facility characteristics only' 
   '024' ='024-Closedduplicate facility'
   '034' ='034-Closedmerged'
   '044' ='044-Closed-no mental health or substance use treatment'
   /* '044' ='044-Closedno mental health treatment'
   '044' ='044-Closedno substance use treatment'  */
   '054' ='054-Closedsatellite facility'
   '064' ='064-Primary focus is substance abuse treatment'
   '071' ='071-Jail only'
   '072' = '072-Halfway House Only'
   '073' ='073-Administration services only-excluded'
   '074' ='074-Individual/small group'
  .D  = "D - Don't Know"
  .E  = "E - Excluded from Report"
  .I  = "I - Ineligible"
  .   = "M - Missing Data"
  .L  = "L - Logical Skip"
  .M  = "M - Missing Data"
  .N  = "N - Not Applicable"
  .R  = "R - Refused"
  .V  = "V - Not Asked in this version" 
  .X  = "X - Multiple Response"
  .Z  = "Z - Multiple Response"
;
 /*
VALUE $FN_STATUS   From NMHSS2019 Reports format file  
   '001' ='001-Completetelephone'
   '002' ='002-Completemail'
   '004' ='004-Closedno longer exists'
   '006' ='006-No participation'
   '007' ='007-Refused'
   '008' ='008-Ineligible/other'
   '009' ='009-Completeweb'
   '024' ='024-Closedduplicate facility'
   '034' ='034-Closedmerged'
   '044' ='044-Closedno mental health treatment'
   '054' ='054-Closedsatellite facility'
   '064' ='064-Primary focus is substance abuse treatment'
   '071' ='071-Jail only'
   '073' ='073-Administration services only-excluded'
   '074' ='074-Individual/small group'
 ;
*/

/*  Used for counts in Module D (D10a Onwards)  */

VALUE RANGE          /* used for both SU and MH formats */
0           = "0"                                                                                                 
1-10        = "1-10"                                                                                              
11-20       = "11-20"                                                                                             
21-30       = "21-30"                                                                                             
31-40       = "31-40"                                                                                             
41-50       = "41-50"                                                                                             
51-75       = "51-75"                                                                                             
76-100      = "76-100"   
101-250     = "101-250"  
251-500     = "251-500"                                                                                           
501-1000    = "501-1000"                                                                                        
1001-1500   = "1001-1500" 
1501-High   = "1501 +"                                                                                            
  .D  = "D - Don't Know"
  .E  = "E - Excluded from Report"
  .I  = "I - Ineligible"
  .   = "M - Missing Data"
  .L  = "L - Logical Skip"
  .M  = "M - Missing Data"
  .N  = "N - Not Applicable"
  .R  = "R - Refused"
  .V  = "V - Not Asked in this version" 
  .X  = "X - Multiple Response"
  .Z  = "Z - Multiple Response"
;

/*  Q: are we using rounded percents? Or should the percnt ranges be modified? -- DN  */
VALUE PERCNT         /* used for both SU and MH formats (original is MHLNGPRV) */
0           = "0"                                                                                                 
1-10        = "1-10"                                                                                              
11-20       = "11-20"                                                                                             
21-30       = "21-30"                                                                                             
31-40       = "31-40"                                                                                             
41-50       = "41-50"                                                                                             
51-60       = "51-60"                                                                                             
61-70       = "61-70"                                                                                             
71-80       = "71-80"                                                                                             
81-90       = "81-90"                                                                                             
91-99       = "91-99" 
100         = "100"                                                                                               
101-High         = "100 +"                                                                                         
  .D  = "D - Don't Know"
  .E  = "E - Excluded from Report"
  .I  = "I - Ineligible"
  .   = "M - Missing Data"
  .L  = "L - Logical Skip"
  .M  = "M - Missing Data"
  .N  = "N - Not Applicable"
  .R  = "R - Refused"
  .V  = "V - Not Asked in this version" 
  .X  = "X - Multiple Response"
  .Z  = "Z - Multiple Response"
;


VALUE RangeAge       /* used for the SU format only */
0-12        = "0-12"                                                                                              
13-17       = "13-17"                                                                                             
18-25       = "18-25"                                                                                             
26-64       = "26-64"                                                                                             
65-HIGH     = "65 +"                                                                                              
  .D  = "D - Don't Know"
  .E  = "E - Excluded from Report"
  .I  = "I - Ineligible"
  .   = "M - Missing Data"
  .L  = "L - Logical Skip"
  .M  = "M - Missing Data"
  .N  = "N - Not Applicable"
  .R  = "R - Refused"
  .V  = "V - Not Asked in this version" 
  .X  = "X - Multiple Response"
  .Z  = "Z - Multiple Response"
;

*%MEND;
